| seqretsplit

## Function

Reads sequences and writes them to individual files

## Description

seqretsplit is a variant of the standard program for reading and writing sequences, seqret. It performs exactly the same function except that when it reads more than one sequence, it writes each sequence to an individual file. In all other respects, skipseq is the same as seqret. Its main use is therefore to split a file containing multiple sequences into many files, each containing one sequence. There are many options built-in into EMBOSS for detailed specification of the input and output sequences, for example the sequence type and file format. Optionally, feature information will be read and written.

## Usage

Here is a sample session with seqretsplit

    % seqretsplit tembl:m1190*
    Reads sequences and writes them to individual files
    output sequence(s) [m11903.fasta]:

Go to the input files for this example
Go to the output files for this example

The specification of the output file is not used in this case.

At some point this ought to change and you will not be prompted for the output file at all.

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     (Gapped) sequence(s) filename and optional
                                      format, or reference (input USA)
      [-outseq]            seqoutall  [.] Sequence set(s)
                                      filename and optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -feature            boolean    Use feature information
       -firstonly          boolean    Read one sequence and stop

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | (Gapped) sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-outseq] (Parameter 2) | Sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-feature | Use feature information | Boolean value Yes/No | No
-firstonly | Read one sequence and stop | Boolean value Yes/No | No

## Input file format

seqretsplit reads a normal sequence USA.

### Input files for usage example

'tembl:m1190*' is a sequence entry in the example nucleic acid database 'tembl'

## Output file format

### Output files for usage example

### File: m11903.fasta

    >M11903 M11903.1 Rattus norvegicus androgen-responsive protein precursor (Svf) gene, exons 1 and 1A, alternatively spliced.
    cctttcaaatagaaactctcgtgaaggctgtctgagaacacaagctcaaggttgtgactg
    atttcagtgatgccgtcttgaagagggataccgtgctagagaatgactcctgatcaaccc
    tgaagacttctgcaagcccgaagtcgtgcttccccactctgaactgacatatgttcagga
    agtagagacgtgcaccgttggatgttctcaaggtaaaaaggaagatttggaagaatgctc
    tagtgttgttgccttggagaggaccagggaacagtacaagactcctactgagcagagaga
    aaggagcctgacatttaccgataagaaaggtcatttgccttccaacctgtaggcaaggcc
    agacaaggaaatatataaaggagaacctcagatcagctctcagtcaagacccttcctgac
    aagatgagtcccaccgggttcttcctccttacggtgctccttgttctggtgacagaagca
    gcctcgagggggccccgaggtgagtggcaattttgtgctatgggaaagatgtttgagaac
    tatgttctcaaaagggagtctgcagaatgctgtgttcccagggcttctccatgaaggaaa
    cttgagtcttttcaagctttaaccatagtcctactgtgagtctctgtgacttgacaagca
    acattgctggtaaggagggctgagggggaatgcgggcaacggcctcgggtaacatcctca
    ttgt

### File: m11904.fasta

    >M11904 M11904.1 Rattus norvegicus androgen-responsive protein precursor (Svf) gene, exon 2 and complete cds.
    ggtatctccaaacacagcagctggctctcaacagagagtcctcatgcacaactaatccaa
    gatacagaaagtggatatagagaatgagacattgttttctctcaacagaaaaattctcac
    agtcagctgaagacccttatagtgaaaacatgaatctaaagattctggcgagcgggaggg
    gatcaagttctacctttggggcattcagccgaagtgagaactctcggagtaacttcaaat
    caaaaagtccaagcagtatcaccagggagaaagtgaatgaggaaagcaggagtgaaatga
    gtagtaccagcagccattttggtctcaaaatgagaagatctcatggaggaggagaaatga
    atccctttgaaaccaaagtaaagacccggatcactcgcaaataatgtgttccccggccaa
    ctgaagacttgagcccaataggcaggtaagtgttatcaccaggtgagggcttacaaacta
    ctcgtgcctaatccctaggccattgtaggattgtgcacgcagtaaagttgctataagggg
    aggtatggaaacgacctacaaggcagacaaagatacgagctatactgtgt

### File: m11905.fasta

    >M11905 M11905.1 Rattus norvegicus androgen-responsive protein precursor (Svf) gene, exon 3.
    ccgtgcaatctcttcctgtgtccacacagccctgttagaagcaactctctcgttctcaag
    gccctacctgcaagaactacctttctcttcctccgcccaacaaaggaggaatgtttctgc
    ttgtgacccaccagagatgaaatatagcagtgtcctgcagtaaaggggggccccagaggc
    atgggacatacacgcattaatccctccacgtcttccctgtcctacctcacaggttgtcct
    cgttccctgggtgtcactgaactaagagaagtctatgatgtcttcaggatgcaggatccc
    acaggtgccccggaaatagtccgtgcttcttatttcctccttacacttgttttctttaag
    attccggaacctgacaagattcaaatttaaccttttcaataaaaaagatactattctgca
    tcattatctcctgaaatctcttgcttctgcagtacaggggctgggtgggattcctaaact
    tgaccagttctgccgttaaaggaagatcccttctgtgccgtatcagagactatttccaga
    ctctggataga

One file for each input sequence is written out.

The names of the files it creates are derived from the ID name of the sequence, followed by an extension denoting the format of the sequence. You have no control over the names of the files it writes out.

For example, if the files embl:hsfa11* are read in and the output is specified as wibble.seq, then the following files are expected to be created:

    hsfa110.fasta
    hsfa111.fasta
    hsfa112.fasta
    hsfa113.fasta
    hsfa114.fasta

(No file wibble.seq is created.)

## Data files

None.

## Notes

See the documentation for seqret to see the full range of things that you can do when reading and writing sequences.

Some non-EMBOSS programs will accept only single sequences. In such cases seqretsplit is useful for splitting a multiple sequence file into many individual files. Some EMBOSS programs will also read only a single sequence, which may, however, be one of many in a file. You can specify the sequence using the USA filename:sequenceID. Nonetheless, some people feel more comfortable handling one sequence per file, so seqretsplit will be useful to them too.

One file for each input sequence is written. The names of the files it creates are derived from the ID name of the sequence, followed by an extension denoting the format of the sequence. You have no control over the names of the files it writes out. For example, if the files `embl:hsfa11*` are read in and the output is specified as `wibble.seq`, then the following files are expected to be created:

    hsfa110.fasta
    hsfa111.fasta
    hsfa112.fasta
    hsfa113.fasta
    hsfa114.fasta

(No file wibble.seq is created.)

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

It shouldn't really prompt for the output filename.

This is a side effect of the way sequence output works in EMBOSS. Writing multiple sequences to separate files (the -ossingle qualifier) does this, and seqretsplit has set it automatically on.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Reads and writes a feature table
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Written (Jan 2000) - Peter Rice

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

The specification of the output file is not used when the output file names are generated automatically..

At some point this ought to change and you will not be prompted for the output file at all.